### Method

# GimpUi ProcedureDialog fill_frame

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_fill_frame (
      GimpProcedureDialog* dialog,
      const gchar* container_id,
      const gchar* title_id,
      gboolean invert_title,
      const gchar* contents_id
    )

#### Description [src]

Creates a new `GtkFrame` and packs `title_id` as its title and `contents_id` as its child. If `title_id` represents a boolean property, its value will be used to renders `contents_id` sensitive or not. If `invert_title` is TRUE, then sensitivity binding is inverted.

The `container_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`container_id` | `const gchar*`
| A container identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`title_id` | `const gchar*`
| The identifier for the title widget.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`invert_title` | `gboolean`
| Whether to use the opposite value of `title_id` if it represents a boolean widget.
`contents_id` | `const gchar*`
| The identifier for the contents.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| The `GtkWidget` representing `container_id`. The object belongs to `dialog` and must not be freed.
| The data is owned by the instance.